Loading...
Searching...
No Matches
pcl::NdConcatenateFunctor< PointInT, PointOutT > Struct Template Reference
Module common

Helper functor structure for concatenate. More...

`#include <pcl/common/concatenate.h>`

## Public Types

using | PodIn = typename traits::POD< PointInT >::type
using | PodOut = typename traits::POD< PointOutT >::type

## Public Member Functions

| NdConcatenateFunctor (const PointInT &p1, PointOutT &p2)
template<typename Key >
void | operator() ()

## Detailed Description

template<typename PointInT, typename PointOutT>
struct pcl::NdConcatenateFunctor< PointInT, PointOutT >

Helper functor structure for concatenate.

Definition at line 49 of file concatenate.h.

## Member Typedef Documentation

## PodIn

template<typename PointInT , typename PointOutT >

using pcl::NdConcatenateFunctor< PointInT, PointOutT >::PodIn = typename traits::POD<PointInT>::type

Definition at line 51 of file concatenate.h.

## PodOut

template<typename PointInT , typename PointOutT >

using pcl::NdConcatenateFunctor< PointInT, PointOutT >::PodOut = typename traits::POD<PointOutT>::type

Definition at line 52 of file concatenate.h.

## Constructor & Destructor Documentation

## NdConcatenateFunctor()

template<typename PointInT , typename PointOutT >

pcl::NdConcatenateFunctor< PointInT, PointOutT >::NdConcatenateFunctor | ( | const PointInT & | p1,
|  | PointOutT & | p2
| ) |  |

inline

Definition at line 54 of file concatenate.h.

## Member Function Documentation

## operator()()

template<typename PointInT , typename PointOutT >
template<typename Key >

void pcl::NdConcatenateFunctor< PointInT, PointOutT >::operator() | ( |  | ) |

inline

Definition at line 59 of file concatenate.h.

The documentation for this struct was generated from the following file:

- pcl/common/concatenate.h